package com.caimei.entity;

import java.io.Serializable;

/**
 * 订单发票信息
 */
public class OrderInvoice implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;//ID
    private Integer orderId;//订单ID
    private String invoiceTitle;		// 发票抬头 个人名称或企业名称
    private String invoiceType;		// 发票类型 普通发票
    private String type;//发票类型 0不开发票 1普通发票 2增值税发票
    private String invoiceContent;		// 发票内容 商品明细
    private String invoiceTitleType;		// 发票抬头类型 0个人  1 企业'
    private String corporationTaxNum;		// 企业税号
    private String registeredAddress;//注册地址
    private String registeredPhone;//注册电话
    private String bankAccountNo;//开户银行账户
    private String openBank;//开户银行


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getInvoiceContent() {
        return invoiceContent;
    }

    public void setInvoiceContent(String invoiceContent) {
        this.invoiceContent = invoiceContent;
    }

    public String getInvoiceTitleType() {
        return invoiceTitleType;
    }

    public void setInvoiceTitleType(String invoiceTitleType) {
        this.invoiceTitleType = invoiceTitleType;
    }

    public String getCorporationTaxNum() {
        return corporationTaxNum;
    }

    public void setCorporationTaxNum(String corporationTaxNum) {
        this.corporationTaxNum = corporationTaxNum;
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getRegisteredPhone() {
        return registeredPhone;
    }

    public void setRegisteredPhone(String registeredPhone) {
        this.registeredPhone = registeredPhone;
    }

    public String getBankAccountNo() {
        return bankAccountNo;
    }

    public void setBankAccountNo(String bankAccountNo) {
        this.bankAccountNo = bankAccountNo;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }
}
