package com.caimei.mapper.user;

import com.caimei.entity.Address;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AddressMapper {

    List<Address> findByUserId(Integer userID);

    List<Address> findByUserIdByAddress(Integer userID);

    Address findByAddressID(@Param("addressID") Integer addressID);

    int updateIsDefault(@Param("addressID") Integer addressID);

    int updateNoDefault(@Param("userID") Integer userID);

    int delete(@Param("addressID") Integer addressID);

    int update(Address address);

    int insert(Address address);

    int updateUser(@Param("newUserID") Integer newUserID, @Param("oldUserId") Integer oldUserId);
}
