package com.caimei.mapper.products;

import com.caimei.entity.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DetailsMapper {
    CmOrganizeProducts findProduct(Integer id);

    Product product(Integer productID);

    List<ProductImage> findAllProductImage(Integer productID);

    ProductDetailInfo findProductDetail(Integer productID);

    Shop findShop(Integer shopID);

    void saveCart(CmMallCart cmMallCart);

    CmMallCart findCartProduct(CmMallCart cmMallCart);

    void updateCart(CmMallCart cart);
}
